Tool: list_instances
List information about instances in a project. The request requires the 'parent' field to be set in the format 'projects/{project}'. Example: { "parent": "projects/my-project" }
The following code sample shows how to use curl to call the list_instances MCP tool.
| Curl Request |
|---|
curl --location 'https://bigtableadmin.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_instances", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for BigtableInstanceAdmin.ListInstances.
ListInstancesRequest
| JSON representation |
|---|
{ "parent": string, "pageToken": string } |
| Fields | |
|---|---|
parent |
Required. The unique name of the project for which a list of instances is requested. Values are of the form |
pageToken |
DEPRECATED: This field is unused and ignored. |
Output Schema
Response message for BigtableInstanceAdmin.ListInstances.
ListInstancesResponse
| JSON representation |
|---|
{
"instances": [
{
object ( |
| Fields | |
|---|---|
instances[] |
The list of requested instances. |
failedLocations[] |
Locations from which Instance information could not be retrieved, due to an outage or some other transient condition. Instances whose Clusters are all in one of the failed locations may be missing from |
nextPageToken |
DEPRECATED: This field is unused and ignored. |
Instance
| JSON representation |
|---|
{ "name": string, "displayName": string, "state": enum ( |
| Fields | |
|---|---|
name |
The unique name of the instance. Values are of the form |
displayName |
Required. The descriptive name for this instance as it appears in UIs. Can be changed at any time, but should be kept globally unique to avoid confusion. |
state |
Output only. The current state of the instance. |
type |
The type of the instance. Defaults to |
edition |
Optional. The edition of the instance. See |
labels |
Labels are a flexible and lightweight mechanism for organizing cloud resources into groups that reflect a customer's organizational needs and deployment strategies. They can be used to filter resources and aggregate metrics.
Labels and Tags (below) are both used to bind metadata to resources, with different use-cases. See https://cloud.google.com/resource-manager/docs/tags/tags-overview for an in-depth overview on the difference between tags and labels. An object containing a list of |
createTime |
Output only. A commit timestamp representing when this Instance was created. For instances created before this field was added (August 2021), this value is Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
tags |
Optional. Input only. Immutable. Tag keys/values directly bound to this resource. For example: - "123/environment": "production", - "123/costCenter": "marketing" Tags and Labels (above) are both used to bind metadata to resources, with different use-cases. See https://cloud.google.com/resource-manager/docs/tags/tags-overview for an in-depth overview on the difference between tags and labels. An object containing a list of |
knowledgeCatalogRegion |
Output only. The region where Knowledge Catalog data is synced to and stored, including user-created aspects. |
Union field
|
|
satisfiesPzs |
Output only. Reserved for future use. |
Union field
|
|
satisfiesPzi |
Output only. Reserved for future use. |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
TagsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
State
Possible states of an instance.
| Enums | |
|---|---|
STATE_NOT_KNOWN |
The state of the instance could not be determined. |
READY |
The instance has been successfully created and can serve requests to its tables. |
CREATING |
The instance is currently being created, and may be destroyed if the creation process encounters an error. |
Type
The type of the instance.
| Enums | |
|---|---|
TYPE_UNSPECIFIED |
The type of the instance is unspecified. If set when creating an instance, a PRODUCTION instance will be created. If set when updating an instance, the type will be left unchanged. |
PRODUCTION |
An instance meant for production use. serve_nodes must be set on the cluster. |
DEVELOPMENT |
DEPRECATED: Prefer PRODUCTION for all use cases, as it no longer enforces a higher minimum node count than DEVELOPMENT. |
Edition
Possible editions of an instance.
An edition is a specific tier of Cloud Bigtable. Each edition is tailored to different customer needs. Higher tiers offer more features and better performance.
| Enums | |
|---|---|
EDITION_UNSPECIFIED |
The edition is unspecified. This is treated as ENTERPRISE. |
ENTERPRISE |
The Enterprise edition. This is the default offering that is designed to meet the needs of most enterprise workloads. |
ENTERPRISE_PLUS |
The Enterprise Plus edition. This is a premium tier that is designed for demanding, multi-tenant workloads requiring the highest levels of performance, scale, and global availability. The nodes in the Enterprise Plus tier come at a higher cost than the Enterprise tier. Any Enterprise Plus features must be disabled before downgrading to Enterprise. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ✅